Editing a group home page can cause warnings

Bug #1320027 reported by Son Nguyen on 2014-05-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Son Nguyen
1.7
High
Unassigned
1.8
High
Unassigned
1.9
High
Unassigned

Bug Description

Version: 1.7, 1.8, 1.9, master

Steps to replicate the bug:

1. Create a group with 'Allow submissions'
2. Create a page and share it to the group
3. Edit the homepage of this group

The warnings:
   [WAR] e6 (lib/pieforms/pieform.php:1486) Pieform element group_view_submission_form_1_options wants to add headdata to the page, but it's too late. Build your form before generating the page., referer: http://192.168.2.47:9090/mahara/master/htdocs/view/groupviews.php?group=1
[Fri May 16 10:21:55 2014] [error] [client 192.168.2.47] Call stack (most recent first):, referer: http://192.168.2.47:9090/mahara/master/htdocs/view/groupviews.php?group=1
[Fri May 16 10:21:55 2014] [error] [client 192.168.2.47] * log_message("Pieform element group_view_submission_form_1_optio...", 8, true, true) at /home/sonn/code/mahara/master/htdocs/lib/errors.php:95, referer: http://192.168.2.47:9090/mahara/master/htdocs/view/groupviews.php?group=1
[Fri May 16 10:21:55 2014] [error] [client 192.168.2.47] * log_warn("Pieform element group_view_submission_form_1_optio...") at /home/sonn/code/mahara/master/htdocs/lib/pieforms/pieform.php:1486, referer: http://192.168.2.47:9090/mahara/master/htdocs/view/groupviews.php?group=1
[Fri May 16 10:21:55 2014] [error] [client 192.168.2.47] * Pieform->build_element_html(array(size 11)) at /home/sonn/code/mahara/master/htdocs/lib/pieforms/pieform.php:676, referer: http://192.168.2.47:9090/mahara/master/htdocs/view/groupviews.php?group=1
[Fri May 16 10:21:55 2014] [error] [client 192.168.2.47] * Pieform->build() at /home/sonn/code/mahara/master/htdocs/lib/pieforms/pieform.php:163, referer: http://192.168.2.47:9090/mahara/master/htdocs/view/groupviews.php?group=1
[Fri May 16 10:21:55 2014] [error] [client 192.168.2.47] * Pieform::process(array(size 6)) at /home/sonn/code/mahara/master/htdocs/lib/pieforms/pieform.php:71, referer: http://192.168.2.47:9090/mahara/master/htdocs/view/groupviews.php?group=1
[Fri May 16 10:21:55 2014] [error] [client 192.168.2.47] * pieform(array(size 6)) at /home/sonn/code/mahara/master/htdocs/lib/group.php:1341, referer: http://192.168.2.47:9090/mahara/master/htdocs/view/groupviews.php?group=1
[Fri May 16 10:21:55 2014] [error] [client 192.168.2.47] * group_view_submission_form("1") at /home/sonn/code/mahara/master/htdocs/blocktype/groupviews/lib.php:162, referer: http://192.168.2.47:9090/mahara/master/htdocs/view/groupviews.php?group=1
[Fri May 16 10:21:55 2014] [error] [client 192.168.2.47] * PluginBlocktypeGroupViews::get_data("1") at /home/sonn/code/mahara/master/htdocs/blocktype/groupviews/lib.php:56, referer: http://192.168.2.47:9090/mahara/master/htdocs/view/groupviews.php?group=1
[Fri May 16 10:21:55 2014] [error] [client 192.168.2.47] * PluginBlocktypeGroupViews::render_instance(object(BlockInstance), true) at Unknown:0, referer: http://192.168.2.47:9090/mahara/master/htdocs/view/groupviews.php?group=1
[Fri May 16 10:21:55 2014] [error] [client 192.168.2.47] * call_user_func_array(array(size 2), array(size 2)) at /home/sonn/code/mahara/master/htdocs/lib/mahara.php:1562, referer: http://192.168.2.47:9090/mahara/master/htdocs/view/groupviews.php?group=1
[Fri May 16 10:21:55 2014] [error] [client 192.168.2.47] * call_static_method("PluginBlocktypeGroupviews", "render_instance", object(BlockInstance), true) at /home/sonn/code/mahara/master/htdocs/blocktype/lib.php:661, referer: http://192.168.2.47:9090/mahara/master/htdocs/view/groupviews.php?group=1
[Fri May 16 10:21:55 2014] [error] [client 192.168.2.47] * BlockInstance->render_editing() at /home/sonn/code/mahara/master/htdocs/lib/view.php:2009, referer: http://192.168.2.47:9090/mahara/master/htdocs/view/groupviews.php?group=1
[Fri May 16 10:21:55 2014] [error] [client 192.168.2.47] * View->build_column(1, 1, true) at /home/sonn/code/mahara/master/htdocs/lib/view.php:1966, referer: http://192.168.2.47:9090/mahara/master/htdocs/view/groupviews.php?group=1
[Fri May 16 10:21:55 2014] [error] [client 192.168.2.47] * View->build_columns(1, true) at /home/sonn/code/mahara/master/htdocs/lib/view.php:1951, referer: http://192.168.2.47:9090/mahara/master/htdocs/view/groupviews.php?group=1
[Fri May 16 10:21:55 2014] [error] [client 192.168.2.47] * View->build_rows(true) at /home/sonn/code/mahara/master/htdocs/view/blocks.php:271, referer: http://192.168.2.47:9090/mahara/master/htdocs/view/groupviews.php?group=1
[Fri May 16 10:21:55 2014] [error] [client 192.168.2.47] , referer: http://192.168.2.47:9090/mahara/master/htdocs/view/groupviews.php?group=1

Reviewed: https://reviews.mahara.org/3366
Committed: http://gitorious.org/mahara/mahara/commit/06c57f797fda505a7799da4e4a0bd66ce3ecf02a
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 06c57f797fda505a7799da4e4a0bd66ce3ecf02a
Author: Son Nguyen <email address hidden>
Date: Fri May 16 14:08:18 2014 +1200

Only render the submission form in the viewing mode (Bug 1320027)

Change-Id: Ifd6afec4e3af9b4a7035cc92892e722496389072
Signed-off-by: Son Nguyen <email address hidden>

Robert Lyon (robertl-9) on 2014-05-16
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "1.8_STABLE" branch: https://reviews.mahara.org/3368

Mahara Bot (dev-mahara) wrote :

Patch for "1.7_STABLE" branch: https://reviews.mahara.org/3369

Reviewed: https://reviews.mahara.org/3367
Committed: http://gitorious.org/mahara/mahara/commit/31d37f4c1501fb3796ae96cc3bf697d4416c12e6
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit 31d37f4c1501fb3796ae96cc3bf697d4416c12e6
Author: Son Nguyen <email address hidden>
Date: Fri May 16 14:08:18 2014 +1200

Only render the submission form in the viewing mode (Bug 1320027)

Change-Id: Ifd6afec4e3af9b4a7035cc92892e722496389072
Signed-off-by: Son Nguyen <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3368
Committed: http://gitorious.org/mahara/mahara/commit/a0290315873b9aa2225258fbd6c40c82b8920279
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit a0290315873b9aa2225258fbd6c40c82b8920279
Author: Son Nguyen <email address hidden>
Date: Fri May 16 14:08:18 2014 +1200

Only render the submission form in the viewing mode (Bug 1320027)

Change-Id: Ifd6afec4e3af9b4a7035cc92892e722496389072
Signed-off-by: Son Nguyen <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3369
Committed: http://gitorious.org/mahara/mahara/commit/3e5b245735ddc89d48a0237c8df4b4c673ec4d1b
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.7_STABLE

commit 3e5b245735ddc89d48a0237c8df4b4c673ec4d1b
Author: Son Nguyen <email address hidden>
Date: Fri May 16 14:08:18 2014 +1200

Only render the submission form in the viewing mode (Bug 1320027)

Change-Id: Ifd6afec4e3af9b4a7035cc92892e722496389072
Signed-off-by: Son Nguyen <email address hidden>

Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers